Subject: Re: [X2Go-Dev] Bug#1116: On Ubuntu 16: After sucessfull SSH connection established; X2Go session does not start

From: Stefan Baur <[email-masked]>
Date: Tue, 29 Nov 2016 13:09:32 +0100

Hi,

1) Are you trying to connect as "root"?
   If so, you should absolutely not do this.  Always use a regular user
   account and su or sudo afterwards.

2) Are you using a different default shell than /bin/bash?

3) Are you using some kind of central authentication (LDAP, AD) and/or
   a non-local /home directory, like, say, a NFS mount?

4) What happens when you try to log in using a newly created user with
   an "empty" home directory on the server?

5) Is there anything non-standard in

  /etc/profile.d/*
  /etc/profile
  /etc/bash.bashrc
  ~/.profile
  ~/.bashrc

(For example, /root/.profile contains "mesg n" at its end, by default,
while regular user accounts don't have that in their ~/.profile.  This
causes error messages - though usually different ones than the one you
reported - when trying to connect as root, and results in a failed
connection.  Something similar might be going on here.)

Kind Regards,
Stefan

Am 28.11.2016 um 20:24 schrieb [email-masked]:
> Package: x2goserver
> Version: 4.0.5.1
> Severity: grave
> 
> Version client side: x2goclient 4.0.5.1 on Ubuntu 16 XFCE+ssh server
> Version server side: x2goversion delivers 4.0.1.20 on Ubuntu 16 XFCE
> desktop
> 
> After a fresh installation of x2go on the server and client side without
> special settings or problems I try to just get an xterm. I have the
> following severe problem:
> 
> Running x2goclient with --debug shows sucesfull SSH connection
> established. But after this the exec channel closes with "Have stderr
> only, something must be wrong."
> 
> In the GUI a message "Cannot open display "default display"" shows up
> 
> The message SSH finished: raw output (stdout): "setxkbmap -option
> ctrl:nocaps" could be a hint that some error processing during login
> does not work ??
> 
> Any idea how to debug ??
> 
> I attached the whole log
> 
> best regards
> 
> Stefan Auracher
> 
> $ x2goclient --debug
> x2go-INFO-1> "Starting X2Go Client..."
> x2go-WARNING-1> "English language requested, not loading translator."
> x2go-WARNING-1> "English language requested, not loading translator."
> x2go-INFO-3> "Started X2Go Client."
> x2go-DEBUG-../src/onmainwindow.cpp:513> "$HOME=/home/user"
> x2go-DEBUG-../src/onmainwindow.cpp:2202> Reading 1 sessions from config
> file.
> x2go-DEBUG-../src/sessionbutton.cpp:325> Creating QPixmap with session
> icon: ":/img/icons/128x128/x2gosession.png".
> x2go-DEBUG-../src/onmainwindow.cpp:2682> Creating QPixmap with session
> icon: '":/img/icons/128x128/x2gosession.png"'.
> x2go-DEBUG-../src/onmainwindow.cpp:2744> Starting session with key.
> x2go-INFO-8> "Starting connection to server: 192.168.188.10:22"
> x2go-DEBUG-../src/onmainwindow.cpp:2783> Starting new ssh connection to
> server:"192.168.188.10":"22" krbLogin: false
> x2go-DEBUG-../src/sshmasterconnection.cpp:173> SshMasterConnection, host
> "192.168.188.10"port 22user "user"useproxy falseproxyserver ""proxyport 22
> x2go-DEBUG-../src/sshmasterconnection.cpp:210> Starting SSH connection
> without Kerberos authentication.
> x2go-DEBUG-../src/sshmasterconnection.cpp:214> SshMasterConnection,
> instance SshMasterConnection(0x563296cc0fa0) created.
> x2go-DEBUG-../src/sshmasterconnection.cpp:450> SshMasterConnection,
> instance SshMasterConnection(0x563296cc0fa0) entering thread.
> x2go-DEBUG-../src/sshmasterconnection.cpp:486> libssh not initialized
> yet. Initializing.
> x2go-DEBUG-../src/sshmasterconnection.cpp:797> cserverAuth
> x2go-DEBUG-../src/sshmasterconnection.cpp:812> state: 1
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1065> Trying to authenticate
> user with private key.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1146> Authenticating with key: 0
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:662> User authentication OK.
> x2go-DEBUG-../src/onmainwindow.cpp:2878> SSH connection established.
> x2go-DEBUG-../src/onmainwindow.cpp:3160> Continue normal X2Go session
> x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via
> SshProcess object 0: "export HOSTNAME && x2golistsessions"
> x2go-DEBUG-../src/sshprocess.cpp:204> this=SshProcess(0x563296da3e30)
> Running masterCon->addChannelConnection(this, '
> "eff2bf61-7d95-48f0-b547-6f436ae59d1c" ', ' "bash -l -c 'echo
> "X2GODATABEGIN:eff2bf61-7d95-48f0-b547-6f436ae59d1c"; export
> PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME
> && x2golistsessions; echo "X2GODATAEND:eff2bf61-7" ');
> x2go-DEBUG-../src/sshmasterconnection.cpp:1312> Locking SSH channel
> connection MUTEX.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1314> Passing new channel
> conenction object to channelConnections.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1316> Unlocking SSH channel
> connection MUTEX.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1504> Creating new channel.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1508> New channel:0x7f6818010e20
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1539> Executing remote: "bash
> -l -c 'echo "X2GODATABEGIN:eff2bf61-7d95-48f0-b547-6f436ae59d1c"; export
> PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME
> && x2golistsessions; echo
> "X2GODATAEND:eff2bf61-7d95-48f0-b547-6f436ae59d1c";'"
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1562> New exec channel created.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1666> EOF on channel
> 0x7f6818010e20; SshProcess object: 0
> x2go-DEBUG-../src/sshmasterconnection.cpp:1734> EOF sent.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1738> Channel closed.
> x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout):
> "setxkbmap -option ctrl:nocaps
> X2GODATABEGIN:eff2bf61-7d95-48f0-b547-6f436ae59d1c
> X2GODATAEND:eff2bf61-7d95-48f0-b547-6f436ae59d1c
> "
> x2go-DEBUG-../src/sshprocess.cpp:523> Have stderr only, something must
> be wrong.
> x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: false - "Cannot open
> display "default display"
> " (0).
> x2go-DEBUG-../src/onmainwindow.cpp:3549> "Cannot open display "default
> display"
> "
> x2go-DEBUG-../src/onmainwindow.cpp:1557> Close event received.
> 
> x2go-DEBUG-../src/onmainwindow.cpp:1581> Quitting from tray icon and
> closing application.
> 
> x2go-INFO-6> "Closing X2Go Client ..."
> x2go-DEBUG-../src/onmainwindow.cpp:1410> Saving settings ...
> x2go-DEBUG-../src/onmainwindow.cpp:1419> Saved settings.
> x2go-DEBUG-../src/onmainwindow.cpp:1441> Waiting for the SSH connection
> to finish ...
> x2go-DEBUG-../src/sshmasterconnection.cpp:716> SshMasterConnection,
> instance SshMasterConnection(0x563296cc0fa0) waiting for thread to finish.
> x2go-DEBUG-../src/sshmasterconnection.cpp:1423> Disconnecting ...
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1434> Deleting channel
> connections.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1442> Disconnecting session.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1448> Deleting sockets.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:1455> All channels closed and
> session disconnected. Quiting session loop.
> 
> x2go-DEBUG-../src/sshmasterconnection.cpp:720> SshMasterConnection,
> instance SshMasterConnection(0x563296cc0fa0) thread finished.
> x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
> x2go-DEBUG-../src/sshmasterconnection.cpp:727> SshMasterConnection,
> instance SshMasterConnection(0x563296cc0fa0) finished destructor.
> x2go-DEBUG-../src/onmainwindow.cpp:1443> SSH connection finished.
> x2go-DEBUG-../src/sshmasterconnection.cpp:744> libssh finalized.
> x2go-INFO-7> "Finished X2Go Client closing hooks."
> x2go-DEBUG-../src/onmainwindow.cpp:526> Destroying X2Go Client's main
> window.
> x2go-DEBUG-../src/onmainwindow.cpp:529> Finished destructor hooks for
> X2Go Client's main window.
> $
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> http://lists.x2go.org/listinfo/x2go-dev

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243